@use './icon.variables' as *;

@mixin digi-icon {
  @include digi-icon--variables;

  display: flex;
  min-height: 1.4em;
  align-items: center;

  svg {
    color: var(--digi--icon--color);
    max-width: var(--digi--icon--width);
    max-height: var(--digi--icon--height);
    width: var(--digi--icon--width, auto);
		height: var(--digi--icon--height, auto);
  }
}